# dcheck.spec

%define name		dcheck
%define version		1.1.0

# ---------------------------------------------------

# Use the following for a standard install
# Prefix:		/usr/local
# %define datadir	%{prefix}/share
# %define mandir	%{prefix}/man

# Use the following for a Redhat/Fedora install
Prefix:			/
%define datadir		%{prefix}/usr/share
%define mandir		%{prefix}/usr/share/man

# derived from above but they work as fine tuning...
# Needed for ./configure which is part of autogen.sh
# Alter as required

%define bindir			%{prefix}/usr/bin
%define sysconfdir		%{prefix}/etc
%define localstatedir	%{prefix}/var


# derived from above but for this .spec file only
# DO NOT CHANGE THESE UNLESS YOU KNOW WHAT YOU'RE DOING!
%define doc				%{datadir}/%{name}
%define docdir			%{datadir}/%{name}/doc

%define pixmaps			%{datadir}/pixmaps
%define pixmapsdir		%{datadir}/pixmaps/%{name}

%define appdir		%{datadir}/applications

%define logdir		%{localstatedir}/log
%define rundir		%{localstatedir}/run

%define sname		%{name}-%{version}
%define sdir		$RPM_BUILD_DIR/%{name}-%{version}

Name:           %{name}
Version:        %{version}
Release:        1%{?dist}
Summary:     		Gtk disk check manager

Group:  		Applications/System   
License:		GPL
Packager:		David M. Balean  <linprogs@balean.net>
Vendor:			David M. Balean  <linprogs@balean.net>
URL:				http://www.balean.net
Requires: 	glib >= 2.10
Requires:		gtk3 >= 3.6.4
Requires:		/bin/sh /bin/grep /sbin/fdisk /sbin/tune2fs /sbin/blkid
BuildRoot:  %{_tmppath}/%{sname}
Source:			%{sname}.tar.gz

%description
Manage some but not all parameters available to tune2fs.
It enables the user to decide that a Linux filesystem will
be checked at the next mount. This can be useful for large
filesystems which can take a very long time to check. This
can be most annoying if the computer is needed quickly.
Not all Linux distros give the user a way to abort the disk
checks on startup.

%prep
%setup -q


%build
rm -rf $RPM_BUILD_ROOT

rm -f %{sdir}/Makefile %{sdir}/Makefile.in configure autote.cache

rm -f %{sdir}/src/Makefile %{sdir}/src/Makefile.in
rm -rf %{sdir}/src/.deps


%{sdir}/autogen.sh  --prefix=%{prefix} \
	--bindir=%{bindir} --datadir=%{datadir} \
	--sysconfdir=%{sysconfdir} \
	--localstatedir=%{localstatedir} \
	--mandir=%{mandir}

make


%install

make prefix=$RPM_BUILD_ROOT%{prefix} \
	bindir=$RPM_BUILD_ROOT%{bindir} \
	datadir=$RPM_BUILD_ROOT%{datadir} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT%{localstatedir} \
	mandir=$RPM_BUILD_ROOT%{mandir} install

gzip --best $RPM_BUILD_ROOT%{mandir}/man1/dcheck.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)

%dir %{doc}
%dir %{docdir}
%dir %{pixmaps}
%dir %{pixmapsdir}
%dir %{mandir}
%dir %{mandir}/man1


# Looks like this has to be it...
%{doc}/AUTHORS
%{doc}/ChangeLog
%{doc}/COPYING
%{doc}/INSTALL
%{doc}/NEWS
%{doc}/README
%{doc}/TODO

%{docdir}/dcheck.html
%{docdir}/images/dcheck.png
%{docdir}/images/dcheck_main_window.png
%{docdir}/images/dcheck_change_last_check_window.png
%{docdir}/images/dcheck_status_window.png
%{docdir}/images/dcheck_popup.png

%{mandir}/man1/dcheck.1.gz

%{pixmapsdir}/dcheck.png
%{pixmapsdir}/dcheck.xpm
%{pixmapsdir}/dcheck.svg
%{pixmapsdir}/dcheck.svgz
%{pixmapsdir}/disktime.png
%{pixmapsdir}/down.png

%{appdir}/Dcheck.desktop

%defattr(0755,root,root,-)
%{bindir}/dcheck

%defattr(0750,root,root,-)
%{bindir}/dcheck_main

