.TH dcheck 1 "Version 1.1.0, Friday 8th March 2013" "David M. Balean"
.SH NAME
dcheck \- Manage disk checks of Linux filesystems
.SH SYNOPSIS
\fBdcheck\fP [\fI-f\fP]
.SH "DESCRIPTION"
This is basically a GUI frontend for tune2fs but only a few options are
available. The trigger for creating this program was that in some Linux
distributions it is not possible to stop a disk check on start-up. If
the user has a large filesystem to be checked - hard disks are now
available measured in Terabytes - the user has to wait a very long time
which can be most inconvenient. 
.br
.SS
\fBMain Window\fP
This consists of several rows of widgets. If the user wants dcheck to
manage a filesystem the appropriate checkbox should be ticked. This
means that the filesystem will be checked at its next mount because the
maximum unchecked mounts is set to -1. The exception to this is that if
the interval from the previous last check is exceeded then a check will
occur. It is possible to override this by setting the interval to 0  or
by selecting <none> in the interval combo widget. The current number of
unchecked mounts can also be changed. When all is correct, right-click
on the \fIApply\fP button. To see where this filesystem is mounted and the time
of its last check, hover the mouse pointer over the  filesystem or its 
\fICheck\fP checkbox. This brings up an informative tooltip.
.SS
\fBChange Last Check Window\fP
Enter this window by right-clicking on the \fIChange Last Check\fP button at the
bottom of the main window. It is here that the user can change when
the last check occurred for this filesystem. A short cut \fINow\fP checkbox
will set it to the current date and time. Right-click \fIApply\fP to make the
change.
.SS
\fBStatus Window\fP
When  \fIApply\fP is right-clicked in either the main window or the last check
window, a status window appears if it is not already present. This is
to inform the user as to what occurred. It can be very annoying...
.SS
\fBMenu\fP
Right-click in anywhere in  the main window to bring up a pop-up menu.
In addition to the button actions,this includes \fIAbout\fP, an option
to choose between \fIsudo\fP instead of \fIsu\fP or vice versa, and an option to
disable or enable the annoying status window.
.sp
NOTE: If it is required to use  \fIsudo\fP use  \fIsudo dcheck\fP from a terminal
such as gnome-terminal, xterm  or konsole the first time  \fIdcheck\fP is
invoked then right-click to obtain the popup menu.
.SS
\fBIF A FILESYSTEM IS MANAGED\fP
If a filesystem is managed and that filesystem is chosen to be checked
at its next mount, the current number of mounts is set to 9999 and the
maximum number of mounts without a check is set to 9998 thus forcing
the disk check at the next mount. When it is remounted, the current
number of mounts is 1. The maximum number of mounts remains at 9998, so
it is likely to be a long time before that is reached.
.sp
It is possible to have maximum mounts corrected back to -1 when
the computer is booted. To obtain this automatic correction, add \fIdcheck\fP to
the end of the bootup sequence. If preferred the command can be  either
\fIdcheck -f\fP or \fIdcheck --fix\fP. When started without X Windows, it is
assumed that the managed filesystems have to be fixed. In this case the
file \fI/etc/dcheck.conf\fP is scanned for all the managed filesystems. When
completed the program exits after fixing the managed filesystems. If
the command \fIdcheck -f\fP or \fIdcheck --fix\fP is executed from a console window
in the X Windows system such as  \fIKonsole\fP  \fIxterm\fP or \fIgnome-terminal\fP the
program doesn't exit but procedes to the normal GUI as if started by
the command  \fIdcheck\fP.
.sp
The usual place for user commands at start-up is in the file \fIrc.local\fP.
In Fedora this is normally found at \fI/etc/rc.d/rc.local\fP.
.br
In Ubuntu and Debian it is normally at \fI/etc/rc.local\fP.

.SH "SEE ALSO"
tune2fs(1), fdisk(1)
