/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    dcheck                                                    *
*Project Version: 1.1.0                                                     *
*Copyright Owner: David M. Balean <linprogs@balean.net>                     *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Wednesday 6th March 2013                                  *
*                                                                           *
*Start DateStamp: 04-Nov-2011 17.42.21 -36000 3600                          *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
* URL:   http://balean.net/linprogs/index.html                              *
*                                                                           *
*Project Summary:                                                           *
* Ask for a disk check of the selected filesystems at the next boot         *
* On restart, set them to not be checked until dcheck requests it again     *
* Also adjust  tune2fs for for other filesystems                            *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       misc.h                                                    *
*Author:          David M. Balean <linprogs@balean.net>                     *
*DateStamp:       25-Feb-2013 12.05.10 -36000 3600                          *
*                                                                           *
*File Summary:                                                              *
* Header for misc.cpp                                                       *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/

#ifndef __MISC_H__
#define __MISC_H__

#include <iostream>
#include <string>

#include <sys/stat.h>
#include <fcntl.h>
#include <stdio.h>
#include <strings.h>
#include <unistd.h>
#include <fcntl.h>
#include <fcntl.h>
#include <stdlib.h>

#include <gtk/gtk.h>

using namespace std;

#define STREQ(x,y)     (strcmp(x,y)==0)
#define STRIEQ(x,y)    (strcasecmp(x,y)==0)
#define STREQN(x,y,n)  (strncmp(x,y,n)==0)
#define STRIEQN(x,y,n) (strncasecmp(x,y,n)==0)

#define  UNLESS(x)      if(!(x))
#define  UNTIL(x)       while(!(x))
#define  FOREVER        for(;;)

namespace misc
{

void *exec_system(void *command);
int start_thread(char *command);
//gboolean get_fsize(char *fname, size_t *size);

bool get_fsize(string fname, size_t *size);
	
char *load_file(char *pathname);
string get_output(string command);
	
GtkWidget *create_spinner(int s_start, int s_min, int s_max);
string convert_f_to_string(double val);

};

#endif // __MISC_H__
