/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    dcheck                                                    *
*Project Version: 1.1.0                                                     *
*Copyright Owner: David M. Balean <linprogs@balean.net>                     *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Wednesday 6th March 2013                                  *
*                                                                           *
*Start DateStamp: 04-Nov-2011 17.42.21 -36000 3600                          *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
* URL:   http://balean.net/linprogs/index.html                              *
*                                                                           *
*Project Summary:                                                           *
* Ask for a disk check of the selected filesystems at the next boot         *
* On restart, set them to not be checked until dcheck requests it again     *
* Also adjust  tune2fs for for other filesystems                            *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       vtesu.h                                                   *
*Author:          David M. Balean <linprogs@balean.net>                     *
*DateStamp:       24-Feb-2013 12.59.32 -36000 3600                          *
*                                                                           *
*File Summary:                                                              *
* Header file for vtesu.cpp                                                 *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/


#ifndef __VTESU_H__
#define __VTESU_H__

#include <iostream>
#include <string>

#include <string.h>
#include <signal.h>
#include <stdlib.h>
#include <pwd.h>

#include <gtk/gtk.h>
#include <gdk/gdkkeysyms.h>

#include "misc.h"

using namespace std;
using namespace misc;



enum {SU, SUDO};


class Vtesu
{
public:

	
	Vtesu(void);
	~Vtesu(void);
	
	
//	static gint snoop_func (GtkWidget *grab_widget, GdkEventKey *event, Vtesu *vsu);
	void load_conf(void);

	void vtesu(int argc, char *argv[]);
	int new_process(const char *command);
	void fix_dcheck(void);
	bool check_running(string cmd, pid_t start_pid, pid_t *pid);
	bool is_running(pid_t pid, bool as_root);

	bool su_auth;           // su or sudo
	bool fix_wanted;        // fix_dcheck wanted
	pid_t start_pid;        // pid of initial dcheck

private:
	static void callback_destroy(GtkWidget *widget, Vtesu *vsu);
	static void callback_quit(GtkWidget *widget, Vtesu *vsu);
	static void callback_ok(GtkWidget *widget, Vtesu *vsu);
	static void callback_ignore(GtkWidget *widget, Vtesu *vsu);

	static void key_event(GtkWidget *widget, GdkEventKey *event, Vtesu *vsu);


	static GdkRGBA red;


	
	bool parse_opts(int argc, char *argv[]);
		
	string error;
	string message;
	string title;
	string command;

	int start_type;
	bool ignore_button_wanted;

	pid_t shell_pid;        // pid of the shell (/bin/sh  or  /bin/bash)

	GdkPixbuf *pixbuf;

	GtkWidget *window;
	GtkWidget *status_label;
	GtkWidget *password_entry;
	GtkWidget *vte;


	
protected:
	

};



#endif // __VTESU_H__
