/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    dcheck                                                    *
*Project Version: 1.1.0                                                     *
*Copyright Owner: David M. Balean <linprogs@balean.net>                     *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Wednesday 6th March 2013                                  *
*                                                                           *
*Start DateStamp: 04-Nov-2011 17.42.21 -36000 3600                          *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
* URL:   http://balean.net/linprogs/index.html                              *
*                                                                           *
*Project Summary:                                                           *
* Ask for a disk check of the selected filesystems at the next boot         *
* On restart, set them to not be checked until dcheck requests it again     *
* Also adjust  tune2fs for for other filesystems                            *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       about.cpp                                                 *
*Author:          David M. Balean <linprogs@balean.net>                     *
*DateStamp:       19-Feb-2013 21.48.04 -36000 3600                          *
*                                                                           *
*File Summary:                                                              *
* Info about this program                                                   *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/

#include "about.h"

GtkWidget *About::about_window = NULL;
GdkPixbuf *About::ab_pixbuf = NULL;


About::About(void)
{
//cout << "About::About - ENTERED" << endl;
}

About::~About(void)
{
//cout << "About::~About - ENTERED" << endl;

if (ab_pixbuf)
	{
	g_object_unref(G_OBJECT(ab_pixbuf));
	ab_pixbuf = NULL;
	}
about_window = NULL;
this->dcheck->about = NULL;
gtk_main_quit();
while (gtk_events_pending ())
  gtk_main_iteration ();

//cout << "About::~About - LEAVING" << endl; 
}

void About::callback_about_destroy(GtkWidget *widget, About *ab)
{
//cout << "About::callback_about_destroy - ENTERED" << endl;
delete ab;
}

void About::callback_about_close(GtkWidget *widget, About *ab)
{
//cout << "About::callback_about_close - ENTERED" << endl;

gtk_widget_destroy(ab->about_window);
}

void About::about_gui(GtkWidget *widget, Dcheck *dc)
{


  {
  GtkWidget *scrolled_window;
  GtkWidget *label;
  GtkWidget *box, *vbox;
  GtkWidget *button;
  string about_txt;

	dcheck = dc;

	//cout << "About::about_gui - ENTERED" << endl;
	
		
	about_txt = (string)RH_VERSION_STRING + "\n" + RH_PROJECT_CONTACT + "\n\n" + RH_PROJECT_COPYRIGHT;
   
  about_window = gtk_window_new (GTK_WINDOW_TOPLEVEL);

  g_signal_connect (G_OBJECT (about_window), "destroy",
		    G_CALLBACK (callback_about_destroy),
		    this);

  gtk_window_set_title (GTK_WINDOW (about_window), "About");
	gtk_window_set_default_size(GTK_WINDOW(about_window), 550, 400); // width, height


  gtk_container_set_border_width(GTK_CONTAINER(about_window), 2);


  if (!ab_pixbuf)
    {
		ab_pixbuf = gtk_widget_render_icon_pixbuf(GTK_WIDGET(about_window),
		                                          GTK_STOCK_ABOUT,
		                                          GTK_ICON_SIZE_DIALOG);
    }
  if (ab_pixbuf) gtk_window_set_icon( GTK_WINDOW(about_window), ab_pixbuf);


  vbox = gtk_box_new(GTK_ORIENTATION_VERTICAL, 10);

  gtk_container_add (GTK_CONTAINER (about_window), vbox);


  scrolled_window = gtk_scrolled_window_new(NULL, NULL);

    /* the policy is one of GTK_POLICY AUTOMATIC, or GTK_POLICY_ALWAYS.
     * GTK_POLICY_AUTOMATIC will automatically decide whether you need
     * scrollbars, whereas GTK_POLICY_ALWAYS will always leave the scrollbars
     * there.  The first one is the horizontal scrollbar, the second, 
     * the vertical. */


  gtk_scrolled_window_set_policy ( GTK_SCROLLED_WINDOW(scrolled_window),
                                GTK_POLICY_AUTOMATIC, GTK_POLICY_AUTOMATIC );


  gtk_box_pack_start(GTK_BOX(vbox), GTK_WIDGET(scrolled_window), TRUE, TRUE, 0);

  vbox = gtk_box_new(GTK_ORIENTATION_VERTICAL, 10);

  gtk_scrolled_window_add_with_viewport(GTK_SCROLLED_WINDOW(scrolled_window),
					GTK_WIDGET(vbox));

  label = gtk_label_new(about_txt.c_str());

  gtk_container_add(GTK_CONTAINER(vbox), GTK_WIDGET(label));
  
 

		
	box = gtk_button_box_new(GTK_ORIENTATION_HORIZONTAL);
	gtk_button_box_set_layout(GTK_BUTTON_BOX(box), GTK_BUTTONBOX_EDGE);// GTK_BUTTONBOX_SPREAD);
	gtk_box_set_spacing(GTK_BOX(box), 0);



  gtk_box_pack_end (GTK_BOX(vbox), box, FALSE, FALSE, 0);

  // --- Create the "Close" button
  button = gtk_button_new_with_mnemonic (" _Close "); // Use Alt+c
  gtk_button_set_image(GTK_BUTTON(button), gtk_image_new_from_stock(GTK_STOCK_CANCEL, GTK_ICON_SIZE_BUTTON));  
  decorate_button(GTK_WIDGET(button), &darkred,  &lightyellow, NULL, NULL);
  gtk_widget_show(GTK_WIDGET(gtk_button_get_image(GTK_BUTTON(button)))); 

	// --- Need to close the window if user presses "CANCEL"
  g_signal_connect (G_OBJECT (button), "clicked",
		    G_CALLBACK (callback_about_close),  this);

  // --- Allow it to be the default button
	gtk_widget_set_can_default(button, TRUE);
 

  // --- Add the button to the dialog
  gtk_box_pack_end(GTK_BOX(box), 
		      button, FALSE, TRUE, 0);

  // --- Make the button the default button
  gtk_widget_grab_default (button);

  // --- Make everything is visible
  gtk_widget_show_all(GTK_WIDGET(about_window));
	gtk_main();
  }
}
