/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    dcheck                                                    *
*Project Version: 1.1.0                                                     *
*Copyright Owner: David M. Balean <linprogs@balean.net>                     *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Wednesday 6th March 2013                                  *
*                                                                           *
*Start DateStamp: 04-Nov-2011 17.42.21 -36000 3600                          *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
* URL:   http://balean.net/linprogs/index.html                              *
*                                                                           *
*Project Summary:                                                           *
* Ask for a disk check of the selected filesystems at the next boot         *
* On restart, set them to not be checked until dcheck requests it again     *
* Also adjust  tune2fs for for other filesystems                            *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       about.h                                                   *
*Author:          David M. Balean <linprogs@balean.net>                     *
*DateStamp:       15-Feb-2013 17.41.52 -36000 3600                          *
*                                                                           *
*File Summary:                                                              *
* Header file for about.cpp                                                 *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/

#ifndef __ABOUT_H__
#define __ABOUT_H__

#include <iostream>

#include <gtk/gtk.h>

#include "dcheck.h"
#include "RH_version.h"


using namespace std;

class About
{
 public:
  About(void);
  ~About(void);

	void about_gui(GtkWidget *widget, class Dcheck *dc);
	static void callback_about_destroy(GtkWidget *widget, About *ab);
	static void callback_about_close(GtkWidget *widget,  About *ab);


 private:
	static GtkWidget *about_window;
	static GdkPixbuf *ab_pixbuf;
		
	class Dcheck *dcheck;

 protected:

};


#endif // __ABOUT_H__
