/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    dcheck                                                    *
*Project Version: 1.1.0                                                     *
*Copyright Owner: David M. Balean <linprogs@balean.net>                     *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Wednesday 6th March 2013                                  *
*                                                                           *
*Start DateStamp: 04-Nov-2011 17.42.21 -36000 3600                          *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
* URL:   http://balean.net/linprogs/index.html                              *
*                                                                           *
*Project Summary:                                                           *
* Ask for a disk check of the selected filesystems at the next boot         *
* On restart, set them to not be checked until dcheck requests it again     *
* Also adjust  tune2fs for for other filesystems                            *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       config.h                                                  *
*Author:          David M. Balean <linprogs@balean.net>                     *
*DateStamp:       27-Feb-2013 19.07.23 -36000 3600                          *
*                                                                           *
*File Summary:                                                              *
* Header file for confid.cpp in dcheck_main                                 *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/

#ifndef __CONFIG_H__
#define __CONFIG_H__

#include <iostream>
#include <fstream>

#include <sys/stat.h>
#include <sys/types.h>
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>
#include <mntent.h>
#include <errno.h>

#include <gtk/gtk.h>

#include "status.h"
#include "lists.h"
#include "misc.h"

using namespace std;
using namespace misc;

class Config
{
public:

	Config(void);
	~Config(void);

	void fix_dcheck(void);

	void set_status(Status *st);
	char *get_right(char *c, char *old_end);

	bool get_fsize(string fname, off_t *size);
	string load_file(string pathname);
	
	void load_conf(void);
	void save_conf(void);

	
	static bool su_auth;
	static bool status_wanted;


private:
	string get_unavailable(void);
	string get_fs_size(string data);


	static string info_pathname;

	Status *status;

};

#endif // __CONFIG_H__
