/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    dcheck                                                    *
*Project Version: 1.1.0                                                     *
*Copyright Owner: David M. Balean <linprogs@balean.net>                     *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Wednesday 6th March 2013                                  *
*                                                                           *
*Start DateStamp: 04-Nov-2011 17.42.21 -36000 3600                          *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
* URL:   http://balean.net/linprogs/index.html                              *
*                                                                           *
*Project Summary:                                                           *
* Ask for a disk check of the selected filesystems at the next boot         *
* On restart, set them to not be checked until dcheck requests it again     *
* Also adjust  tune2fs for for other filesystems                            *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       last.h                                                    *
*Author:          David M. Balean <linprogs@balean.net>                     *
*DateStamp:       20-Feb-2013 12.27.54 -36000 3600                          *
*                                                                           *
*File Summary:                                                              *
* Header file for last.cpp                                                  *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/

#ifndef __LAST_H__
#define __LAST_H__

#include <iostream>

#include <ctype.h>

#include <gtk/gtk.h>

#include "data.h"
#include "dcheck.h"
#include "lists.h"
#include "misc.h"


using namespace std;

//using namespace misc;

class FS_last_check
{
public:
	string    fs_name;
	GtkWidget *last_check_label;
	GtkWidget *day_entry;
	GtkWidget *month_entry;
	GtkWidget *year_entry;
	GtkWidget *hour_entry;
	GtkWidget *minute_entry;
	GtkWidget *second_entry;
	GtkWidget *now_check_button;
};


class Last_check
{
public:
  Last_check(void);
  ~Last_check(void);

	void change_last_check_gui(GtkWidget *widget,  class Dcheck *dc, Status *st);
	static void callback_last_check_cancel(GtkWidget *widget, Last_check *lc);


private:
  static void callback_last_check_destroy(GtkWidget *widget, Last_check *lc);
	static void callback_last_check_ok(GtkWidget *widget, Last_check *lc);
	static void callback_now_check_button_toggled(GtkWidget *widget, Last_check *lc);

		
	static void callback_last_check_close(GtkWidget *widget, gpointer data);

	FS_last_check *get_widget_FS_last_check(GtkWidget *widget);

		
	GtkWidget *last_check_window;
	
//	static GList *FS_last_check_list;
	static list<FS_last_check*> FS_last_check_list;

	static GdkPixbuf *dtime_pixbuf;

	Dcheck *dcheck;
	Status *status;
	
 protected:

};


#endif // __LAST_H__
