/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    dcheck                                                    *
*Project Version: 1.1.0                                                     *
*Copyright Owner: David M. Balean <linprogs@balean.net>                     *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Wednesday 6th March 2013                                  *
*                                                                           *
*Start DateStamp: 04-Nov-2011 17.42.21 -36000 3600                          *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
* URL:   http://balean.net/linprogs/index.html                              *
*                                                                           *
*Project Summary:                                                           *
* Ask for a disk check of the selected filesystems at the next boot         *
* On restart, set them to not be checked until dcheck requests it again     *
* Also adjust  tune2fs for for other filesystems                            *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       main.h                                                    *
*Author:          David M. Balean <linprogs@balean.net>                     *
*DateStamp:       01-Mar-2013 14.54.39 -36000 3600                          *
*                                                                           *
*File Summary:                                                              *
* Header file for main.cpp                                                  *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/

#ifndef __MAIN_H__
#define ___MAIN_H__



struct FS_widgets_info
{
GtkWidget *name_label;           // name e.g. /dev/sda2
GtkWidget *size_label;           // size of this fs, B KiB MiB GiB Tib
GtkWidget *state_label;          // state e.g. clean
GtkWidget *managed_check_button; // dcheck if managed, otherwise tune2fs
GtkWidget *dcheck_button;        // tick it for check next boot
GtkWidget *num_mounts_entry;     // current number of mounts
GtkWidget *max_mounts_entry;     // ghosted if dcheck otherwise select maximum mounts before a check
GtkWidget *interval_entry;       // maximum interval between checks
GtkWidget *interval_type_button;  // days, weeks or months or <none> if no checks
};

struct FS_strings_info
{
gchar *name;                      // name e.g. /dev/sda2
gchar *size;                      // size of this fs, B KiB MiB GiB Tib
gchar *state;                     // state e.g. clean
gchar *control;                   // dcheck if managed, otherwise tune2fs
gchar *mount_point;               // last mount point
gchar *last_check;                // when last checked
gchar *num_mounts;                // current number of mounts
gchar *max_mounts;                // maximum number of mounts before check
gchar *interval;                  // maximum interval between checks
gchar *interval_type;             // days, weeks or months or <none> if no checks
};

/*
extern GdkColor lightgreen;
extern GdkColor lightyellow;
extern GdkColor pink;
extern GdkColor lightblue;
// extern GdkColor lightbrown;
*/

//extern GList *FS_string_list;     // A list of FS_strings_info (memstr))

extern GdkPixbuf *dtime_pixbuf;
extern gchar *get_last_check(gchar *data);


#endif // ___MAIN_H__
