/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    dcheck                                                    *
*Project Version: 1.1.0                                                     *
*Copyright Owner: David M. Balean <linprogs@balean.net>                     *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Wednesday 6th March 2013                                  *
*                                                                           *
*Start DateStamp: 04-Nov-2011 17.42.21 -36000 3600                          *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
* URL:   http://balean.net/linprogs/index.html                              *
*                                                                           *
*Project Summary:                                                           *
* Ask for a disk check of the selected filesystems at the next boot         *
* On restart, set them to not be checked until dcheck requests it again     *
* Also adjust  tune2fs for for other filesystems                            *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       misc.h                                                    *
*Author:          David M. Balean <linprogs@balean.net>                     *
*DateStamp:       05-Mar-2013 18.59.42 -36000 3600                          *
*                                                                           *
*File Summary:                                                              *
* Header for misc.cpp                                                       *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/

#ifndef __MISC_H__
#define __MISC_H__

#include <iostream>
#include <sstream>
#include <iomanip>
#include <list>

#include <sys/stat.h>
#include <fcntl.h>
#include <stdio.h>
#include <strings.h>
#include <unistd.h>
#include <fcntl.h>
#include <fcntl.h>
#include <stdlib.h>
#include <string.h>
#include <gtk/gtk.h>




using namespace std;

namespace misc
{

#define STREQ(x,y)     (strcmp(x,y)==0)
#define STRIEQ(x,y)    (strcasecmp(x,y)==0)
#define STREQN(x,y,n)  (strncmp(x,y,n)==0)
#define STRIEQN(x,y,n) (strncasecmp(x,y,n)==0)

#define  UNLESS(x)      if(!(x))
#define  UNTIL(x)       while(!(x))
#define  FOREVER        for(;;)


gboolean get_fsize(char *fname, size_t *size);

gchar *concat_str2memstr(gchar *memstr, gchar *str);

string get_output(string command);
GtkWidget *create_spinner(int s_start, int s_min, int s_max);
char *convert_f_to_string(double val);
	
void decorate_button(GtkWidget *widget,
                     GdkRGBA *fg_normal,
                     GdkRGBA *bg_normal,
                     GdkRGBA *bg_prelight,
                     const gchar *stock_id);
	

string get_mount_point(string data);
string get_last_check(string data);
string get_os_type(string  data);
string convert_i2str(int i, int pad);
	

/*  Colours are now    GdkRGBA    instead of    GdkColor
GdkRGBA typedef struct {
  gdouble red;
  gdouble green;
  gdouble blue;
  gdouble alpha;
} GdkRGBA;
The GdkRGBA structure is used to represent a (possibly translucent) color, in a way that is compatible with cairos notion of color.

gdouble red;

The intensity of the red channel from 0.0 to 1.0 inclusive
gdouble green;

The intensity of the green channel from 0.0 to 1.0 inclusive
gdouble blue;

The intensity of the blue channel from 0.0 to 1.0 inclusive
gdouble alpha;

The opacity of the color from 0.0 for completely translucent to 1.0 for opaque
*/


static GdkRGBA  lightgreen   = {0.8, 1.0,   0.8,   1.0};
static GdkRGBA  lightyellow  = {1.0, 1.0,   0.8,   1.0};
static GdkRGBA  pink         = {1.0, 0.75,  1.0,   1.0};
static GdkRGBA  lightblue    = {0.8, 0.8,   1.0,   1.0};
static GdkRGBA  darkblue     = {0.2, 0.2,   1.0,   1.0};
static GdkRGBA  darkred      = {0.8, 0.0,   0.0,   1.0};
static GdkRGBA  darkgreen    = {0.1, 0.6,   0.1,   1.0};
static GdkRGBA  brown       =  {0.4, 0.2,   0.05,  1.0};


};

#endif // __MISC_H__
