/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    dcheck                                                    *
*Project Version: 1.1.0                                                     *
*Copyright Owner: David M. Balean <linprogs@balean.net>                     *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Wednesday 6th March 2013                                  *
*                                                                           *
*Start DateStamp: 04-Nov-2011 17.42.21 -36000 3600                          *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
* URL:   http://balean.net/linprogs/index.html                              *
*                                                                           *
*Project Summary:                                                           *
* Ask for a disk check of the selected filesystems at the next boot         *
* On restart, set them to not be checked until dcheck requests it again     *
* Also adjust  tune2fs for for other filesystems                            *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       status.h                                                  *
*Author:          David M. Balean <linprogs@balean.net>                     *
*DateStamp:       17-Feb-2013 12.39.39 -36000 3600                          *
*                                                                           *
*File Summary:                                                              *
* Header file for status.cpp                                                *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/

#ifndef __STATUS_H__
#define __STATUS_H__

#include "misc.h"
#include "RH_version.h"

class Status
{
 public:
  Status(void);
  ~Status(void);

  static void callback_status_destroy(GtkWidget *widget, Status *status);
	static void callback_status_close(GtkWidget *widget, Status *status);
	static void callback_status(GtkWidget *widget, Status *status);

	bool status_running(void);

	void fix_status(string data, bool left_flag);
	void add_status_underline(void);
		
	static bool status_wanted;

 private:
		
	static GtkWidget *status_window;
	static GtkWidget *status_box;
	static GdkPixbuf *st_pixbuf;
		

	void add_status(string data, bool left_flag);




	bool left_flag;

 protected:

};


#endif // __STATUS_H__
